Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jdbc.xa
Class XAManagedConnectionFactory

    java.lang.Object
      org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnectionFactory
          org.jboss.resource.adapter.jdbc.xa.XAManagedConnectionFactory

All Implemented Interfaces:
  javax.resource.spi.ManagedConnectionFactory, Serializable

public class XAManagedConnectionFactory
extends BaseWrapperManagedConnectionFactory

XAManagedConnectionFactory.java Created: Mon Aug 12 21:53:02 2002

Version:
  $Revision: 1.16.6.1 $
Author:
  David Jencks, Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnectionFactory
`checkValidConnectionSQL, connectionChecker, connectionProps, doQueryTimeout, log, newConnectionSQL, password, preparedStatementCacheSize, TRACK_STATEMENTS_FALSE, TRACK_STATEMENTS_FALSE_INT, TRACK_STATEMENTS_NOWARN, TRACK_STATEMENTS_NOWARN_INT, TRACK_STATEMENTS_TRUE, TRACK_STATEMENTS_TRUE_INT, trackStatements, transactionIsolation, userName, validConnectionCheckerClassName`

Constructor Summary
`XAManagedConnectionFactory()`

Method Summary
`javax.resource.spi.ManagedConnection` | `createManagedConnection(Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
`boolean` | `equals(Object other)`
`Boolean` | `getIsSameRMOverrideValue()` Get the IsSameRMOverrideValue value.
`protected XADataSource` | `getXADataSource()`
`String` | `getXADataSourceClass()` Get the XaDataSourceClass value.
`String` | `getXADataSourceProperties()` Get the XADataSourceProperties value.
`protected Properties` | `getXaProps()`
`int` | `hashCode()`
`javax.resource.spi.ManagedConnection` | `matchManagedConnections(Set mcs, Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
`protected javax.resource.spi.ManagedConnection` | `newXAManagedConnection(Properties props, XAConnection xaConnection)` This method can be overwritten by sublcasses to provide rm specific implementation of XAManagedConnection
`void` | `setIsSameRMOverrideValue(Boolean isSameRMOverrideValue)` Set the IsSameRMOverrideValue value.
`void` | `setXADataSourceClass(String xaDataSourceClass)` Set the XaDataSourceClass value.
`void` | `setXADataSourceProperties(String xaDataSourceProperties)` Set the XADataSourceProperties value.

Methods inherited from class org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnectionFactory
`createConnectionFactory, createConnectionFactory, getCheckValidConnectionSQL, getConnectionProperties, getExceptionSorterClassName, getLogWriter, getNewConnectionSQL, getPassword, getPreparedStatementCacheSize, getTrackStatements, getTransactionIsolation, getTxQueryTimeout, getUserName, getValidConnectionCheckerClassName, setCheckValidConnectionSQL, setExceptionSorterClassName, setLogWriter, setNewConnectionSQL, setPassword, setPreparedStatementCacheSize, setTrackStatements, setTransactionIsolation, setTxQueryTimeout, setUserName, setValidConnectionCheckerClassName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XAManagedConnectionFactory

    public XAManagedConnectionFactory()

Method Detail

### getXADataSourceClass

    public String getXADataSourceClass()

  Get the XaDataSourceClass value.

  Returns:
    the XaDataSourceClass value.

### setXADataSourceClass

    public void setXADataSourceClass(String xaDataSourceClass)

  Set the XaDataSourceClass value.

  Parameters:
    `xaDataSourceClass` - The new XaDataSourceClass value.

### getXADataSourceProperties

    public String getXADataSourceProperties()

  Get the XADataSourceProperties value.

  Returns:
    the XADataSourceProperties value.

### setXADataSourceProperties

    public void setXADataSourceProperties(String xaDataSourceProperties)
                                   throws javax.resource.ResourceException

  Set the XADataSourceProperties value.

  Parameters:
    `xaDataSourceProperties` - The new XADataSourceProperties value.
  Throws:
    `javax.resource.ResourceException`

### getIsSameRMOverrideValue

    public Boolean getIsSameRMOverrideValue()

  Get the IsSameRMOverrideValue value.

  Returns:
    the IsSameRMOverrideValue value.

### setIsSameRMOverrideValue

    public void setIsSameRMOverrideValue(Boolean isSameRMOverrideValue)

  Set the IsSameRMOverrideValue value.

  Parameters:
    `isSameRMOverrideValue` - The new IsSameRMOverrideValue value.

### createManagedConnection

    public javax.resource.spi.ManagedConnection createManagedConnection(Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo cri)
                                                                 throws javax.resource.ResourceException

  Throws:
    `javax.resource.ResourceException`

### newXAManagedConnection

    protected javax.resource.spi.ManagedConnection newXAManagedConnection(Properties props,
                                                                          XAConnection xaConnection)
                                                                   throws SQLException

  This method can be overwritten by sublcasses to provide rm specific implementation of XAManagedConnection

  Throws:
    `SQLException`

### matchManagedConnections

    public javax.resource.spi.ManagedConnection matchManagedConnections(Set mcs,
                                                                        Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo cri)
                                                                 throws javax.resource.ResourceException

  Parameters:
    `mcs` -
    `subject` -
    `cri` -
  Returns:
  Throws:
    `javax.resource.ResourceException` -

### hashCode

    public int hashCode()

  Returns:
    hashcode computed according to recommendations in Effective Java.

### equals

    public boolean equals(Object other)

  Parameters:
    `other` -
  Returns:

### getXaProps

    protected Properties getXaProps()

### getXADataSource

    protected XADataSource getXADataSource()
                                    throws javax.resource.ResourceException

  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.